package org.wfc.omada.api.maintenance.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * File list of backup files.
 */
@ApiModel(description = "File list of backup files.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:40:12.680+08:00[Asia/Shanghai]")

public class BackupFileResultVo   {
  @JsonProperty("fileName")
  private String fileName;

  @JsonProperty("backupTime")
  private Long backupTime;

  @JsonProperty("size")
  private Long size;

  public BackupFileResultVo fileName(String fileName) {
    this.fileName = fileName;
    return this;
  }

  /**
   * File name of backup file. Parameter [fileName] should be 1 - 128 ASCII characters.
   * @return fileName
  */
  @ApiModelProperty(value = "File name of backup file. Parameter [fileName] should be 1 - 128 ASCII characters.")


  public String getFileName() {
    return fileName;
  }

  public void setFileName(String fileName) {
    this.fileName = fileName;
  }

  public BackupFileResultVo backupTime(Long backupTime) {
    this.backupTime = backupTime;
    return this;
  }

  /**
   * Backup time(ms).
   * @return backupTime
  */
  @ApiModelProperty(value = "Backup time(ms).")


  public Long getBackupTime() {
    return backupTime;
  }

  public void setBackupTime(Long backupTime) {
    this.backupTime = backupTime;
  }

  public BackupFileResultVo size(Long size) {
    this.size = size;
    return this;
  }

  /**
   * Size of backup file(Byte).
   * @return size
  */
  @ApiModelProperty(value = "Size of backup file(Byte).")


  public Long getSize() {
    return size;
  }

  public void setSize(Long size) {
    this.size = size;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BackupFileResultVo backupFileResultVo = (BackupFileResultVo) o;
    return Objects.equals(this.fileName, backupFileResultVo.fileName) &&
        Objects.equals(this.backupTime, backupFileResultVo.backupTime) &&
        Objects.equals(this.size, backupFileResultVo.size);
  }

  @Override
  public int hashCode() {
    return Objects.hash(fileName, backupTime, size);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BackupFileResultVo {\n");
    
    sb.append("    fileName: ").append(toIndentedString(fileName)).append("\n");
    sb.append("    backupTime: ").append(toIndentedString(backupTime)).append("\n");
    sb.append("    size: ").append(toIndentedString(size)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

